package com.maintain.business.service;

import com.maintain.business.domain.ErpMaintainMalfunction;
import com.maintain.business.domain.vo.ErpMaintainMalfunctionVo;
import com.maintain.business.domain.bo.ErpMaintainMalfunctionBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 维修与故障关联Service接口
 *
 * @author liushuai
 * @date 2025-03-28
 */
public interface IErpMaintainMalfunctionService {

    /**
     * 查询维修与故障关联
     */
    ErpMaintainMalfunctionVo queryById(Long malfunctionId);

    /**
     * 查询维修与故障关联列表
     */
    TableDataInfo<ErpMaintainMalfunctionVo> queryPageList(ErpMaintainMalfunctionBo bo, PageQuery pageQuery);

    /**
     * 查询维修与故障关联列表
     */
    List<ErpMaintainMalfunctionVo> queryList(ErpMaintainMalfunctionBo bo);

    /**
     * 新增维修与故障关联
     */
    Boolean insertByBo(ErpMaintainMalfunctionBo bo);

    /**
     * 修改维修与故障关联
     */
    Boolean updateByBo(ErpMaintainMalfunctionBo bo);

    /**
     * 校验并批量删除维修与故障关联信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
